QGIS Application - Bug report #11849
Zonal stats plugin not working with spatialite layer
2014-12-11 02:52 PM - Mitchell Weier

Status: Closed
Priority: Normal
Assignee:

Category: Analysis library

Affected QGIS version:2.6.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20064

Description

It appears that the zonal stats plugin will add the max, min, and mean
null. If one converts the layer to shapefile format, the plugin works as

columns to a spatialite layer, but they are not populated and remain
expected. Am | missing something here?

Associated revisions

Revision 085d0ad0 - 2015-04-20 10:20 AM - Nyall Dawson

Fix zonal stats not saving values to spatialite layers (fix #11849)

History

#1 - 2014-12-14 03:58 AM - Giovanni Manghi
- OS version deleted (Mavericks)
- Operating System deleted (Mac OS X)

Confirmed also on Linux. Should be interesting to check if it ever worked in past qgis releases.

#2 - 2014-12-15 06:26 AM - Mitchell Weier

| don't recall this ever working in my experience (>1.8). | have confirmed it does not work with 2.4. Would be nice to have though.

#3 - 2015-04-20 01:53 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"085d0ad09687fadeb01bcd0fdf1fbeb44biedbda”.

#4 - 2017-01-02 01:26 AM - Giovanni Manghi
- Category changed from 115 to Analysis library
